
QGIS Application - Bug report #13527

Bad (, missing) GeoJSON response from WFS request for feature from multiple layers (multiple 

layers remains in the same qgis project)

2015-10-05 11:53 PM - Mohammad Amin

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21570

Description

Hi,

I have the below qgis server configuration:

1. Operating System and version: Ubuntu 14.04.3 LTS

2. QGIS version: 2.8.2

3. Apache web server 2

I have the below problem (It might be a bug in gqis wfs service):

I have a qgis project with some layers on it. I have enabled WMS and WFS service for this qgis project on qgis server.

When I request a WFS request (for GeoJSON response) for multiple layers it returns a GeoJSON response as requested. But that

GeoJSON response has some missing ",". Or it has missing "," between features from multiple layers.

For example, I have requested the below request and it has the above problem:

http://193.17.67.229/cgi-bin/externt/skola/?&#38;service=WFS&#38;request=GetFeature&#38;bbox=194255.947401006%2C6215787.

13507023%2C194933.14797865791%2C6216476.954568461&#38;layers=omr_f6skola%2Comr_skola&#38;styles=&#38;typename=omr_f6skola%2Comr_skola&#38;query_layers=omr_f6skola%2Comr_skola&#38;info_format=application%2Fjson&#38;feature_count=20&

mr_f6skola%2Comr_skola&#38;query_layers=omr_f6skola%2Comr_skola&#38;info_format=application%2Fjson&#38;feature_count=20&#38;x=702&#38;y=321&#38;buffer=16&#38;width=1040&#38;height=1015&#38;srs=EPSG%3A3008&#38;exceptions=application%252Fvnd.ogc.se_xml&#38;version=1.3.0&#38;outputFormat=GeoJSON

&#38;x=702&#38;y=321&#38;buffer=16&#38;width=1040&#38;height=1015&#38;srs=EPSG%3A3008&#38;exceptions=application%252Fvnd.ogc.se_xml&#38;version=1.3.0&#38;outputFormat=GeoJSON

2Fvnd.ogc.se_xml&#38;version=1.3.0&#38;outputFormat=GeoJSON

I think it is a bug in qgis server wfs service.

Any help will be appriciated.

Thanks in advance.

//Amin

History

#1 - 2015-10-20 12:25 AM - Richard Duivenvoorde

Hi, can you please retest with a current nightly?

Recently the georss related issue #10515 was fixed.

Not sure if this fixes yours, but plz try

#2 - 2015-10-20 12:35 AM - Jürgen Fischer

I doubt that #10515 is related to this.
#3 - 2016-01-17 02:11 AM - Marcel Dancak

Hi, this bug is still present in master branch. I have created a pull request with one possible way to fix this bug - https://github.com/qgis/QGIS/pull/2685. It

would be great if somebody from developers could look at it. Thanks.

#4 - 2017-05-01 01:06 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#5 - 2017-09-22 10:07 AM - Jürgen Fischer

- Category set to Unknown

#6 - 2019-03-09 03:12 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
